xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) Spencer Janssen 2009
License | BSD3-style (see LICENSE)
Maintainer | spencerjanssen@gmail.com
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Util.SpawnOnce

Description

A module for spawning a command once, and only once. Useful to start status bars and make session settings inside startupHook.

Synopsis

- spawnOnce :: String -> X ()

# Documentation

spawnOnce :: String -> X ()

The first time `spawnOnce` is executed on a particular command, that command is executed. Subsequent invocations for a command do nothing.